package cn.ibizlab.r7.runtime.core.r7rt_base.valuerule.anno.loginaccount;

import cn.ibizlab.r7.runtime.core.r7rt_base.valuerule.validator.loginaccount.LoginAccountPwdValueRuleValidator;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.*;

/**
 * 值规则注解
 * 实体：LoginAccount
 * 属性：Pwd
 * 值规则：ValueRule
 */
@Target({ElementType.METHOD, ElementType.FIELD, ElementType.PARAMETER})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Constraint(validatedBy = {LoginAccountPwdValueRuleValidator.class})
public @interface LoginAccountPwdValueRule {
    //是否默认检查
    boolean flag() default false;

    //值规则名称
    String info() default "密码值规则";

    //值规则信息，如果为空，使用值规则名称。
    String message() default "(大写规则。)";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}
